/**
 * This function is used to transform each item in the section to a slide.
 *
 * @param section - current section to transform
 * @param transform - function to transform each item in the section
 */
export function itemsSlideTransformer(section, transform) {
    const items = section.items.reduce((acc, item) => {
        return [...acc, ...transform(item)];
    }, []);
    return items.length > 0 ? items : undefined;
}
